# SourcePath: at-spi2-core/20171215dev
Summary: Protocol definitions for the new D-Bus at-spi.
Name: sony-target-dev-at-spi2-core
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-at-spi2-core
Version: 2.26.0
Release: 12000001
Source: at-spi2-core-%{version}.tar.xz
License: GPLv2
URL: ftp://ftp.gnome.org/pub/GNOME/sources/at-spi2-core
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
BuildRequires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-glib

%description
This package includes the protocol definitions for the new D-Bus
at-spi.

Also included is the daemon necessary for forwarding device events
and registering accessible applicaitions.

%package -n %{pkgname}
Summary: An accessibility toolkit for GNOME.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
This package includes the protocol definitions for the new D-Bus
at-spi.

Also included is the daemon necessary for forwarding device events
and registering accessible applicaitions.

%prep
%setup -n at-spi2-core-%{version}

%build
%sony_target_dev_setup
export ac_cv_alignof_char=1
export ac_cv_alignof_dbus_bool_t=4
export ac_cv_alignof_dbus_int16_t=2
export ac_cv_alignof_dbus_int32_t=4
export ac_cv_alignof_dbus_int64_t=8
export ac_cv_alignof_double=8
export ac_cv_alignof_dbind_pointer=8
export ac_cv_alignof_dbind_struct=1
%sony_target_dev_configure --disable-glibtest --enable-gtk-doc-html=no --disable-introspection
make 

%install
%sony_target_dev_setup
rm -rf %{buildroot}
%sony_target_dev_makeinstall
mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/pkgconfig \
        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_dir}/usr/etc \
        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_sysconf_dir}
%demangle_libtool

# 12.x
for b in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}`; do
    case $b in
        *-config)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/$b \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../../..%{sony_target_devtool_lib_dir}/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_target_dir}%{sony_target_devtool_include_dir}/at-spi-2.0/atspi/
%{sony_target_dir}%{sony_target_dev_lib_dir}/libatspi*
%{sony_target_dir}%{sony_target_dev_lib_dir}/systemd/user/at-spi-dbus-bus.service
%{sony_target_dir}%{sony_target_dev_sysconf_dir}/xdg/autostart/*
%{sony_target_dir}%{sony_target_dev_data_dir}/dbus-1/services/*
%{sony_target_dir}%{sony_target_dev_data_dir}/dbus-1/accessibility-services/org.a11y.atspi.Registry.service
%{sony_target_dir}%{sony_target_dev_data_dir}/defaults/at-spi2/accessibility.conf
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/atspi-2.pc
%{sony_target_dir}%{sony_target_dev_dir}/usr/libexec/*

%changelog
* Fri Dec 15 2017 Sony Corporation
- Initial build
